package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability587/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSkuFeatureRequest struct {
	/*
	   SkuFeatureDo     */
	Param *domain.AlibabaWdkSkuFeatureSkuFeatureDo `json:"param,omitempty" required:"false" `
}

func (s *AlibabaWdkSkuFeatureRequest) SetParam(v domain.AlibabaWdkSkuFeatureSkuFeatureDo) *AlibabaWdkSkuFeatureRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkSkuFeatureRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkSkuFeatureRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
